using Domain;
using Presenter.SaveSystem;
using UnityEngine;

namespace Presenter {
	public class PlayerPrefsRepository : IGameRepository {
		public void SaveScore(Score score) {
			PlayerPrefs.SetInt("Score", score.Value);
		}

		public Score LoadScore() {
			int score = PlayerPrefs.GetInt("Score", 0);
			return new Score(score, 0, 0);
		}
	}
}